/*--width--*/

.w-100-auto {
    width: auto;
}

.w-100-fit {
    width: fit-content;
}

.w-100-ps {
    width: 100%;
}

.w-100-ps-min {
    min-width: 100%;
}

.w-95-ps {
    width: 95%;
}

.w-90-ps {
    width: 90%;
}

.w-85-ps {
    width: 85%;
}

.w-80-ps {
    width: 80%;
}

.w-75-ps {
    width: 75%;
}

.w-70-ps {
    width: 70%;
}

.w-65-ps {
    width: 65%;
}

.w-60-ps {
    width: 60%;
}

.w-55-ps {
    width: 55%;
}

.w-50-ps {
    width: 50%;
}

.w-45-ps {
    width: 45%;
}

.w-40-ps {
    width: 40%;
}

.w-35-ps {
    width: 35%;
}

.w-30-ps {
    width: 30%;
}

.w-25-ps {
    width: 25%;
}

.w-20-ps {
    width: 20%;
}

.w-15-ps {
    width: 15%;
}

.w-10-ps {
    width: 10%;
}

.w-5-ps {
    width: 5%;
}

.w-0-ps {
    width: 0%;
}

.w-100-vw {
    width: 100vw;
}

.w-100-vw-min {
    min-width: 100vw;
}

.w-90-vw {
    width: 90vw;
}

.w-75-vw {
    width: 75vw;
}

.w-50-vw {
    width: 50vw;
}

.w-25-vw {
    width: 25vw;
}

.w-10-vw {
    width: 10vw;
}

.w-0-vw {
    width: 0vw;
}


.w-300-px {
    width: 300px;
}

.w-275-px {
    width: 275px;
}

.w-250-px {
    width: 250px;
}

.w-225-px {
    width: 225px;
}

.w-215-px {
    width: 215px;
}

.w-210-px {
    width: 210px;
}

.w-200-px {
    width: 200px;
}

.w-190-px {
    width: 190px;
}

.w-185-px {
    width: 185px;
}

.w-180-px {
    width: 180px;
}

.w-175-px {
    width: 175px;
}


.w-150-px {
    width: 150px;
}

.w-125-px {
    width: 125px;
}

.w-115-px {
    width: 115px;
}

.w-100-px {
    width: 100px;
}

.w-90-px {
    width: 90px;
}

.w-75-px {
    width: 75px;
}

.w-60-px {
    width: 60px;
}

.w-50-px {
    width: 50px;
}

.w-40-px {
    width: 40px;
}

.w-25-px {
    width: 25px;
}

.w-20-px {
    width: 20px;
}

.w-15-px {
    width: 15px;
}

.w-10-px {
    width: 10px;
}

.w-5-px {
    width: 5px;
}

.w-0-px {
    width: 0px;
}

@media screen and (max-width:576px) {
    .w-100-ps {
        width: 100%;
    }
    .w-100-ps-min {
        min-width: 100%;
    }
    .w-95-ps {
        width: 100%;
    }
    .w-90-ps {
        width: 100%;
    }
    .w-85-ps {
        width: 100%;
    }
    .w-80-ps {
        width: 100%;
    }
    .w-75-ps {
        width: 100%;
    }
    .w-70-ps {
        width: 100%;
    }
    .w-65-ps {
        width: 100%;
    }
    .w-60-ps {
        width: 100%;
    }
    .w-55-ps {
        width: 100%;
    }
    .w-50-ps {
        width: 100%;
    }
    .w-45-ps {
        width: 100%;
    }
    .w-40-ps {
        width: 100%;
    }
    .w-35-ps {
        width: 100%;
    }
    .w-30-ps {
        width: 100%;
    }
    .w-25-ps {
        width: 100%;
    }
    .w-20-ps {
        width: 100%;
    }
    .w-15-ps {
        width: 100%;
    }
    .w-10-ps {
        width: 100%;
    }
    .w-5-ps {
        width: 100%;
    }
}

@media screen and (min-width:576px) {
    .w-100-ps {
        width: 100%;
    }
    .w-100-ps-min {
        min-width: 100%;
    }
    .w-95-ps {
        width: 100%;
    }
    .w-90-ps {
        width: 100%;
    }
    .w-85-ps {
        width: 100%;
    }
    .w-80-ps {
        width: 100%;
    }
    .w-75-ps {
        width: 100%;
    }
    .w-70-ps {
        width: 100%;
    }
    .w-65-ps {
        width: 100%;
    }
    .w-60-ps {
        width: 100%;
    }
    .w-55-ps {
        width: 100%;
    }
    .w-50-ps {
        width: 100%;
    }
    .w-45-ps {
        width: 100%;
    }
    .w-40-ps {
        width: 100%;
    }
    .w-35-ps {
        width: 100%;
    }
    .w-30-ps {
        width: 100%;
    }
    .w-25-ps {
        width: 100%;
    }
    .w-20-ps {
        width: 100%;
    }
    .w-15-ps {
        width: 100%;
    }
    .w-10-ps {
        width: 100%;
    }
    .w-5-ps {
        width: 100%;
    }
}

@media screen and (min-width:577px) {
    .w-100-ps {
        width: 100%;
    }
    .w-100-ps-min {
        min-width: 100%;
    }
    .w-95-ps {
        width: 95%;
    }
    .w-90-ps {
        width: 90%;
    }
    .w-85-ps {
        width: 85%;
    }
    .w-80-ps {
        width: 80%;
    }
    .w-75-ps {
        width: 75%;
    }
    .w-70-ps {
        width: 70%;
    }
    .w-65-ps {
        width: 65%;
    }
    .w-60-ps {
        width: 60%;
    }
    .w-55-ps {
        width: 55%;
    }
    .w-50-ps {
        width: 50%;
    }
    .w-45-ps {
        width: 45%;
    }
    .w-40-ps {
        width: 40%;
    }
    .w-35-ps {
        width: 35%;
    }
    .w-30-ps {
        width: 30%;
    }
    .w-25-ps {
        width: 25%;
    }
    .w-20-ps {
        width: 20%;
    }
    .w-15-ps {
        width: 15%;
    }
    .w-10-ps {
        width: 10%;
    }
    .w-5-ps {
        width: 5%;
    }
}

.w-400-px-max {
    max-width: 400px;
}

.w-375-px-max {
    max-width: 375px;
}

.w-350-px-max {
    max-width: 350px;
}

.w-325-px-max {
    max-width: 325px;
}

.w-300-px-max {
    max-width: 300px;
}

.w-275-px-max {
    max-width: 275px;
}

.w-250-px-max {
    max-width: 250px;
}

.w-225-px-max {
    max-width: 225px;
}

.w-215-px-max {
    max-width: 215px;
}

.w-210-px-max {
    max-width: 210px;
}

.w-200-px-max {
    max-width: 200px;
}

.w-190-px-max {
    max-width: 190px;
}

.w-185-px-max {
    max-width: 185px;
}

.w-180-px-max {
    max-width: 180px;
}

.w-175-px-max {
    max-width: 175px;
}

.w-150-px-max {
    max-width: 150px;
}

.w-125-px-max {
    max-width: 125px;
}

.w-115-px-max {
    max-width: 115px;
}

.w-100-px-max {
    max-width: 100px;
}

.w-90-px-max {
    max-width: 90px;
}

.w-75-px-max {
    max-width: 75px;
}

.w-60-px-max {
    max-width: 60px;
}

.w-50-px-max {
    max-width: 50px;
}

.w-25-px-max {
    max-width: 25px;
}

.w-20-px-max {
    max-width: 20px;
}

.w-15-px-max {
    max-width: 15px;
}

.w-10-px-max {
    max-width: 10px;
}

.w-5-px-max {
    max-width: 5px;
}

.w-0-px-max {
    max-width: 0px;
}

.w-400-px-min {
    min-width: 400px;
}

.w-375-px-min {
    min-width: 375px;
}

.w-350-px-min {
    min-width: 350px;
}

.w-325-px-min {
    min-width: 325px;
}

.w-300-px-min {
    min-width: 300px;
}

.w-275-px-min {
    min-width: 275px;
}

.w-250-px-min {
    min-width: 250px;
}

.w-225-px-min {
    min-width: 225px;
}

.w-215-px-min {
    min-width: 215px;
}

.w-210-px-min {
    min-width: 210px;
}

.w-200-px-min {
    min-width: 200px;
}

.w-190-px-min {
    min-width: 190px;
}

.w-185-px-min {
    min-width: 185px;
}

.w-180-px-min {
    min-width: 180px;
}

.w-175-px-min {
    min-width: 175px;
}

.w-150-px-min {
    min-width: 150px;
}

.w-125-px-min {
    min-width: 125px;
}

.w-115-px-min {
    min-width: 115px;
}

.w-100-px-min {
    min-width: 100px;
}

.w-90-px-min {
    min-width: 90px;
}

.w-75-px-min {
    min-width: 75px;
}

.w-60-px-min {
    min-width: 60px;
}

.w-50-px-min {
    min-width: 50px;
}

.w-25-px-min {
    min-width: 25px;
}

.w-20-px-min {
    min-width: 20px;
}

.w-15-px-min {
    min-width: 15px;
}

.w-10-px-min {
    min-width: 10px;
}

.w-5-px-min {
    min-width: 5px;
}

.w-0-px-min {
    min-width: 0px;
}

/*--custom--*/
.w-1000-px {
    width: 1000px;
}

.w-500-px {
    width: 500px;
}

.w-350-px {
    width: 350px;
}

.w-325-px {
    width: 325px;
}
